Badge Templates
New Badge template creation flow
Create a new Badge template
Creates a new badge template for an organization. This endpoint allows defining the characteristics and metadata of a badge, such as title, images, assignment criteria, and associated information.
- POST
/api/v1/issuers/organization/badge_templates
Inactive badge templates cannot be assigned to users
Marked as Public badge templates are displayed at the Public org page
Key | Value |
|---|---|
title | Shark Course A1 |
application_scope | Nature |
assignment_criteria | Must know sharks |
language | en |
color_primary | #FFFFFF |
code | DALP |
type | skills |
type_data[acquired_knowledge] | Test Knowledge |
type_data[acquired_skills] | Test Skills |
type_data[acquired_attitudes] | Test Attitudes |
type_data[application_scope] | Test Scope |
description | This is a test for learning path |
other_org | Test other Org |
other_org_info | Test other info |
is_learning_path | 0 |
status | active |
is_published | 1 |
background_image | [file content] |
image | [file content] |
Upload an Image to a Badge Template
Uploads a selected image to a Badge template.
- POST
/api/v1/issuers/organization/badge_templates/{template_id}/image
Upload a Background image to a Badge Template
Uploads a selected image as a background to a Badge template
- POST
/api/v1/issuers/organization/badge_templates/{template_id}/image
Update a Badge template
Updates an existing badge template.
- PUT
/api/v1/issuers/organization/badge_templates/{template_id}
Retrieve Badge template details
Retrieves details of a badge template by its ID.
- GET
/api/v1/issuers/organization/badge_templates/{template_id}
Badge templates listing
Lists badge templates based on various filters like creation date range, type, id, name and whether they are part of a learning path.
- GET
{{baseUrl}}/api/v1/issuers/organization/badge_templates
Query Parameters
created_at_after: Retrieve templates created after this date, date formatYYYY-MM-DD.created_at_before: Retrieve templates created before this date, date formatYYYY-MM-DD.is_learning_path: Retrieve by learning path status (1for true,0for false).id: Retrieve by a specific template idtitle: Filter by the titleapplication_scope: Filter by the scopecode: Retrieve by specific badge template code (e.g.,MN224).type: Retrieve by type (knowledge,skills,participation,qualification).description: Filter by description (e.g.,desc).is_learning_path: Retrieves by learning path status (1for true,0for false).status: Filter by status (active,draft,archived).badge_template_version_id: Retrieve by a specific badge template version ID (e.g., a3709939-32b9-4316-a6e3-0f051fdd571a).language: Retrieve by specific language code (it,en).other_org: Filter by organization (e.g.,Sample org).is_published: Retrieves by publish status (1for true,0for false).search: Search across fields liketitle,description,type,type_data.color_primary: Filter by primary color (e.g.,#FFFFF).
Clone a Badge Template
Creates a new Badge template using the existing template details
- POST
/api/v1/issuers/organization/badge_templates/{template_id}/clone
Archive a Badge template
Archives the existing badge template.
- PUT
/api/v1/issuers/organization/badge_templates/{template_id}/archive
Delete a Badge template
Deletes the existing badge template.
- DELETE
/api/v1/issuers/organization/badge_templates/{template_id}
Status code 204